Subject: Re: [RFT] e100 driver on ARM

From: "Kok, Auke" <[email-masked]>
Date: Wed, 28 Mar 2007 16:04:32 -0700

Lennert Buytenhek wrote:
> On Mon, Sep 04, 2006 at 06:39:29AM -0400, Jeff Garzik wrote:
> 
>> 1) Does e100 driver work on ARM?
> 
> FWIW, e100 seems to work okay for me on an intel ixp2400 (xscale based)
> board, an ixp2850 (xscale based) board and an ixp2350 (xscale3 based)
> board.  ixp2350 works both with hardware coherency turned on (cpu
> snoops bus) and turned off (manual dma cache clean/invalidate as usual.)
> 
> As for the other ARM platforms that I'm interested in / have hardware
> for / maintain, the at91/ep93xx/pxa270 don't have PCI, and the other
> two (iop32x/iop33x) I can't test because I don't have such systems with
> e100 NICs, but I expect those would work, since they're both xscale
> based like the ixp2400, and the ixp2400 works.

I just got an iop342 board dropped on my lap. Once it's running, I'll make sure 
to make this the first thing to test.

Cheers,

Auke